#include <Navigation/libraries/server/execution/PlatformUnitExecutor.h>

namespace armarx::nav::server
{

    PlatformUnitExecutor::PlatformUnitExecutor(PlatformUnitInterfacePrx platformUnit) :
        platformUnit{platformUnit}
    {
        // pass
    }

    PlatformUnitExecutor::~PlatformUnitExecutor()
    {
        // pass
    }

    void PlatformUnitExecutor::move(const core::Twist& twist)
    {
        if (enabled)
        {
            platformUnit->move(twist.linear.x(), twist.linear.y(), twist.angular.z());
        }
    }

    void PlatformUnitExecutor::disableAndStop()
    {
        enabled = false;
        platformUnit->stopPlatform();
    }

    void PlatformUnitExecutor::enable()
    {
        enabled = true;
    }

} // namespace armarx::nav::server
